#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run botje with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='botje',
    version='30',
    url='https://pikacode.com/milla/botje',
    author='Bart Thate',
    author_email='milla@dds.nl',
    description='xmpp, irc, shell, cli, json - email at milla@dds.nl',
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["distribute", "beautifulsoup4", "sleekxmpp", "natural", "feedparser", ],
    scripts=["bin/botje", "bin/outje", "bin/sedje", ],
    packages=['bot', 
              'bot.plugs',
             ],
    long_description = """ god - koning - wet - maatschappij - burger - schuld - hel of hemel.

afname van ziel EN geest - zodat de mens werkelijk vrij is ..

GOD, die de duivel is, de vruchtnemer.

1) de schepping (aarde, mens)

2) niet in dank afnemen

afname van functionaliteit en identiteit van de mens, door het door god   
gestuurde volk wat deze functionaliteit omzet naar gesstigen die de goede 
ervaringen en lessen leren die het leven van de mens hier op aarde aan
ontwikkeling bieden. 
 
3) god is specifiek oogstend

god scheid de goeie en slecht ervaringen van de mens met de ziel en recreeert daarmee een
persoonlijkheid in het hiernamaals die dan alleen de op de goed geachte
ervaringen hun denken kunnen doen. alle niet gewenste ervaringen worden
opgevangen in de geest en mag daarna ergens anders ook de slechte ervaringen 
in een hiernamaals zijnde karakter.

4) ademen
5) drinken 
6) eten
7) voortplanting
8) praten
9) denken
10) wijsheid

""",
    data_files=[('docs', ["docs/zoishet", "docs/lanes", "docs/story", "docs/fases"]),],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
